/*
 *--------------------------------------------------------------------
 *
 *创建一个XMLHttp实例
 *return object 成功创建返回一个XMLHttp对象实例,否则返回false
 *
 *--------------------------------------------------------------------
 */
 function CreateAjax()
 {
    var XMLHttp;
    try
    {
        XMLHttp = new ActiveXObject("Microsoft.XMLHTTP");   //IE的创建方式
    }
    catch(e)
    {
        try
        {
            XMLHttp = new XMLHttpRequest();     //FF等浏览器的创建方式
        }
        catch(e)
        {
            XMLHttp = false;        //创建失败，返回false
        }
    }
    return XMLHttp;     //返回XMLHttp实例
 }

/* ------------------------------------------------------------------------- */
 
function Ajax(sid,obj)
{
	_xmlhttp = CreateAjax();
	var url = 'ajax.asp?'+obj+'&n='+Math.random();
	//alert(url);
	if(_xmlhttp)    //判断XmlHttp是否创建成功
    {		
        _xmlhttp.open('GET',url,true);
        _xmlhttp.onreadystatechange=function()
        {
            if(_xmlhttp.readyState == 4)  
            {
                if(_xmlhttp.status == 200)  
                {			
				//获取内容
					var ResponseText = unescape(_xmlhttp.responseText);	
					if (ResponseText.length>1){ajax_res(sid,ResponseText)}
					//if (ResponseText){alert('success')}else{alert('failure')}
                }
                else    //服务器出现异常
                {
                    alert("服务器返回异常！");
                }
            }
            else    //请求未完成时的提示信息
            {
                //fr.innerHTML='<img src="Loading.gif">';
            }
        }
        _xmlhttp.send(null);  
    }
    else    //创建未成功
    {
        alert("您的浏览器不支持或未启用 XMLHttp!");
    }
}
